=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
-               libcalendarsupport-dev (>= 4:24.12.0~),
-               libeventviews-dev (>= 4:24.12.0~),
-               libkcalendarutils-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
+               libcalendarsupport-dev (>= 4:24.12.2~),
+               libeventviews-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +21,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkldap-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               libkpimtextedit-dev (>= 24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkldap-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               libkpimtextedit-dev (>= 24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +48,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:24.12.0~),
-         libcalendarsupport-dev (>= 4:24.12.0~),
-         libeventviews-dev (>= 4:24.12.0~),
-         libkcalendarutils-dev (>= 4:24.12.0~),
+Depends: libakonadimime-dev (>= 4:24.12.2~),
+         libcalendarsupport-dev (>= 4:24.12.2~),
+         libeventviews-dev (>= 4:24.12.2~),
+         libkcalendarutils-dev (>= 4:24.12.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
