=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
-               libcalendarsupport-dev (>= 4:24.12.2~),
-               libeventviews-dev (>= 4:24.12.2~),
-               libkcalendarutils-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
+               libcalendarsupport-dev (>= 4:24.12.3~),
+               libeventviews-dev (>= 4:24.12.3~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -21,15 +21,15 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkldap-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
-               libkpimtextedit-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkldap-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
+               libkpimtextedit-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/incidenceeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor.git
@@ -48,12 +48,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:24.12.2~),
-         libcalendarsupport-dev (>= 4:24.12.2~),
-         libeventviews-dev (>= 4:24.12.2~),
-         libkcalendarutils-dev (>= 4:24.12.2~),
+Depends: libakonadimime-dev (>= 4:24.12.3~),
+         libcalendarsupport-dev (>= 4:24.12.3~),
+         libeventviews-dev (>= 4:24.12.3~),
+         libkcalendarutils-dev (>= 4:24.12.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.2~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
