## incidenceeditor 25.04.1

=== debian/changelog ===
incidenceeditor (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:16 +0100
